<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'adonadboard',

    /*
     * Package.
     */
    'package'   => 'account',

    /*
     * Modules.
     */
    'modules'   => ['account'],

    
    'account'       => [
        'model' => [
            'model'                 => \Adonadboard\Account\Models\Account::class,
            'table'                 => 'accounts',
            'presenter'             => \Adonadboard\Account\Repositories\Presenter\AccountPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'booking_id',  'payable_id',  'payable_type',  'status',  'pay_type',  'pay_no',  'pay_date',  'pay_notes',  'amount',  'date',  'notes',  'documents',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'account/account',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Adonadboard',
            'package'   => 'Account',
            'module'    => 'Account',
        ],

    ],
];
