<?php

namespace Adonadboard\Account\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AccountTransformer extends TransformerAbstract
{
    public function transform(\Adonadboard\Account\Models\Account $account)
    {
        return [
            'id'                => $account->getRouteKey(),
            'key'               => [
                'public'    => $account->getPublicKey(),
                'route'     => $account->getRouteKey(),
            ], 
            'id'                => $account->id,
            'booking_id'        => $account->booking_id,
            'payable_id'        => $account->payable_id,
            'payable_type'      => $account->payable_type,
            'status'            => $account->status,
            'pay_type'          => $account->pay_type,
            'pay_no'            => $account->pay_no,
            'pay_date'          => $account->pay_date,
            'pay_notes'         => $account->pay_notes,
            'amount'            => $account->amount,
            'date'              => $account->date,
            'notes'             => $account->notes,
            'documents'         => $account->documents,
            'created_at'        => $account->created_at,
            'updated_at'        => $account->updated_at,
            'deleted_at'        => $account->deleted_at,
            'url'               => [
                'public'    => trans_url('account/'.$account->getPublicKey()),
                'user'      => guard_url('account/account/'.$account->getRouteKey()),
            ], 
            'status'            => trans('app.'.$account->status),
            'created_at'        => format_date($account->created_at),
            'updated_at'        => format_date($account->updated_at),
        ];
    }
}